Bug 251835 - net/libwebsockets: Update to 4.1.6
Summary: net/libwebsockets: Update to 4.1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://libwebsockets.org/git/libwebs...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-12-14 11:07 UTC by daniel.engberg.lists
Modified: 2021-02-04 20:25 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback-


Attachments
Patch for libwebsockets (12.07 KB, patch)
2020-12-14 11:07 UTC, daniel.engberg.lists
koobs: maintainer-approval+
Details | Diff
Patch for libwebsockets (w/ tests) (13.79 KB, patch)
2020-12-14 11:09 UTC, daniel.engberg.lists
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-12-14 11:07:07 UTC
Created attachment 220546 [details]
Patch for libwebsockets

Update libwebsockets to 4.1.6
Use tar.xz archive from upstream website, reduces download size considerably
IPv6, SSL (defaults to OpenSSL) and zlib support is now enabled by default
Add support for mbed TLS and multiple event loop libraries/backends
Make use of ports framework (CMAKE_BOOL)
Rearrange Makefile for readability and add multiple options

Compile tested on FreeBSD 13.0-CURRENT r367711 (amd64) (make, make check-plist) (with multiple combinations of options)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 1 daniel.engberg.lists 2020-12-14 11:09:36 UTC
Created attachment 220547 [details]
Patch for libwebsockets (w/ tests)

Same as above but with "make test" target somewhat working, about 50% of the tests works and from what I can tell it's some kind of parsing issue in the test code but I'm unable to figure it out on my own. It would be nice to get this working for QA but it's not a showstopper.
Comment 2 daniel.engberg.lists 2020-12-14 11:10:13 UTC
Upstream doesn't provide release notes for minor releases...
Comment 3 Automation User 2020-12-14 11:41:26 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/229443434
Comment 4 daniel.engberg.lists 2021-01-06 10:37:49 UTC
Friendly ping
Comment 5 Tobias C. Berner freebsd_committer 2021-01-22 20:19:00 UTC
Moin moin 

This looks, like it will require a bump in the dependent ports:

according to freshports.org:
 * audio/ardour6
 * audio/forked-daapd
 * net/guacamole-server
 * sysutils/ttyd


mfg Tobias
Comment 6 daniel.engberg.lists 2021-01-24 19:13:03 UTC
(In reply to Tobias C. Berner from comment #5)
audio/forked-daapd
sysutils/ttyd
Builds fine in Poudriere, audio/ardour6 and net/guacamole-server pulls in rust which isn't possible to build on my buildbox because it runs out of memory.
Comment 7 Tobias C. Berner freebsd_committer 2021-01-30 19:53:15 UTC
Maintainer Timeout
Comment 8 Tobias C. Berner freebsd_committer 2021-01-30 20:08:23 UTC
Moin moin 

I'm building the dependent ports at the moment.

As a side note: do all these options actually serve a purpose, or are they just there, because "they can be"; if so, I would think twice before adding them.


mfg Tobias
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2021-01-31 01:16:57 UTC
Comment on attachment 220546 [details]
Patch for libwebsockets

Approved by: portmgr (maintainer timeout)

Pending QA
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2021-01-31 01:17:02 UTC
Comment on attachment 220547 [details]
Patch for libwebsockets (w/ tests)

Approved by: portmgr (maintainer timeout)

Pending QA
Comment 11 daniel.engberg.lists 2021-01-31 09:32:41 UTC
Hi,

I looked at other repos and they seem to have most settings available so I think it makes sense (minus one or two).

Thanks,
Daniel
Comment 12 Tobias C. Berner freebsd_committer 2021-02-04 20:18:47 UTC
(In reply to daniel.engberg.lists from comment #11)
The dependencies all seem to build fine.
Comment 13 commit-hook freebsd_committer 2021-02-04 20:24:42 UTC
A commit references this bug:

Author: tcberner
Date: Thu Feb  4 20:24:11 UTC 2021
New revision: 564064
URL: https://svnweb.freebsd.org/changeset/ports/564064

Log:
  net/libwebsockets: Update to 4.1.6

  Changelog:
  	https://libwebsockets.org/git/libwebsockets/tree/changelog?h=v4.1-stable

  PR:		251835
  Submitted by:	daniel.engberg.lists@pyret.net
  Approved by:	iblis.dif01@nctu.edu.tw (timeout)

Changes:
  head/audio/ardour6/Makefile
  head/audio/forked-daapd/Makefile
  head/games/DDNet/Makefile
  head/net/guacamole-server/Makefile
  head/net/libwebsockets/Makefile
  head/net/libwebsockets/distinfo
  head/net/libwebsockets/files/
  head/net/libwebsockets/pkg-plist
  head/net/mosquitto/Makefile
  head/sysutils/ttyd/Makefile
Comment 14 Tobias C. Berner freebsd_committer 2021-02-04 20:25:28 UTC
Committed, thanks.